Package ru.bitel.bgbilling.kernel.script.server.bean

# Class EventTypeManager

java.lang.Object
ru.bitel.bgbilling.kernel.script.server.bean.EventTypeManager

public class EventTypeManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventTypeManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<EventType>`
  `filterNewEvents(List<EventType> in)`
  Отсеивает из данного списка события "старого" типа и возвращает только "новые".
  `List<EventType>`
  `getEventTypeList(int mode)`
  Возвращает список типов событий по режиму
  `List<EventType>`
  `getEventTypeList(String idFilter)`
  Возвращает список типов событий по их кодам
  `List<EventType>`
  `getEventTypesByEventId(String eventId)`
  Возвращает все типы событий коду события (либо по номеру, либо по классу события)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventTypeManager

    public EventTypeManager(Connection con)

- ## Method Details

  - ### getEventTypeList

    public List<EventType> getEventTypeList(int mode) throws ru.bitel.bgbilling.common.BGException
    Возвращает список типов событий по режиму
    Parameters:
      `mode` - режим
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEventTypeList

    public List<EventType> getEventTypeList(String idFilter) throws ru.bitel.bgbilling.common.BGException
    Возвращает список типов событий по их кодам
    Parameters:
      `idFilter` - коды событий, перечисленные через запятую
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEventTypesByEventId

    public List<EventType> getEventTypesByEventId(String eventId) throws ru.bitel.bgbilling.common.BGException
    Возвращает все типы событий коду события (либо по номеру, либо по классу события)
    Parameters:
      `eventId` - код события
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### filterNewEvents

    public List<EventType> filterNewEvents(List<EventType> in)
    Отсеивает из данного списка события "старого" типа и возвращает только "новые".
    Parameters:
      `in` - входной список типов событий
    Returns: